import mappingList from './full_list.json';
import itaijiList from './itaiji_list.json';
class KanjiProcessor {
    constructor() {
        this.mappings = mappingList;
        const regexString = itaijiList.join('');
        this.regex = new RegExp(`[${regexString}]`, 'g');
        this.conversionMap = {};
        for (const mapping of this.mappings) {
            for (const itaiji of mapping.itaiji) {
                this.conversionMap[itaiji] = mapping.oyaji;
            }
        }
    }
    convertToParent(text) {
        return text.replace(this.regex, match => this.conversionMap[match] || match);
    }
}
export const defaultProcessor = new KanjiProcessor();
export function convertVariants(text) {
    return defaultProcessor.convertToParent(text);
}
